Bug 299661 - network manager pulls wrong secret from gnome-keyring
network manager pulls wrong secret from gnome-keyring
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Test3
  Show dependency treegraph
 
Reported: 2007-09-20 23:47 EDT by Jesse Keating
Modified: 2013-01-09 21:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-28 15:17:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2007-09-20 23:47:10 EDT
My keyring currently has one secret in it, a key for the WAP 'rh-wireless'. 
When I came home I tried to associate to 'EamonsHome', however NetworkManager
decided that the key in my keyring was correct for this network and tried to use
it.  This obviously failed, but left NM somewhat stuck.

Sep 20 23:13:52 localhost NetworkManager: <WARN>  list_connections_cb():
Couldn't retrieve connections: Method
 "ListConnections" with signature "" on interface
"org.freedesktop.NetworkManagerSettings" doesn't exist#012.
Sep 20 23:14:24 localhost NetworkManager: <info>  (eth0) supplicant interface is
now in state 1 (from 0).
Sep 20 23:14:24 localhost NetworkManager: <info>  (wlan0) supplicant manager is
now in state 1 (from 0).
Sep 20 23:14:25 localhost NetworkManager: <info>  (eth0) supplicant interface is
now in state 2 (from 1).
Sep 20 23:14:25 localhost NetworkManager: <info>  (wlan0) supplicant interface
is now in state 2 (from 1).
Sep 20 23:14:44 localhost NetworkManager: <info>  Activating device wlan0
Sep 20 23:14:44 localhost NetworkManager: <info>  wlan0: Deferring activation
until connection information is 
received.
Sep 20 23:14:44 localhost NetworkManager: <info>  wlan0: connection details
received, will start activation.
Sep 20 23:14:44 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) scheduled..
.
Sep 20 23:14:44 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) started...
Sep 20 23:14:44 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) scheduled
...
Sep 20 23:14:44 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) complete.
Sep 20 23:14:44 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) starting.
..
Sep 20 23:14:44 localhost NetworkManager: <info>  Activation (wlan0/wireless):
access point 'Auto' has securit
y, but secrets are required.
Sep 20 23:14:44 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) complete.
Sep 20 23:14:45 localhost NetworkManager: <info>  (wlan0) Supplicant interface
state change: 1 -> 2
Sep 20 23:14:47 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) scheduled...
Sep 20 23:14:47 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) started...
Sep 20 23:14:47 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) scheduled...
Sep 20 23:14:47 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) complete.
Sep 20 23:14:47 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) starting...
Sep 20 23:14:47 localhost NetworkManager: <info>  Activation (wlan0/wireless):
connection 'Auto' has security, and secrets exist.  No new secrets needed.
Sep 20 23:14:47 localhost NetworkManager: <info>  Config: added 'ssid' value
'EamonsHouse'
Sep 20 23:14:47 localhost NetworkManager: <info>  Config: added 'key_mgmt' value
'NONE'
Sep 20 23:14:47 localhost NetworkManager: <info>  Config: added 'wep_key0' value
'pd9M#012!R84F#012pb'
Sep 20 23:14:47 localhost NetworkManager: <info>  Config: added 'wep_tx_keyidx'
value '0'
Sep 20 23:14:47 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) complete.
Sep 20 23:14:47 localhost NetworkManager: <info>  (wlan0) Supplicant interface
state change: 2 -> 0
Sep 20 23:14:47 localhost NetworkManager: <info>  (wlan0) Supplicant interface
state change: 0 -> 2
Sep 20 23:14:47 localhost NetworkManager: <info>  (wlan0) Supplicant interface
state change: 2 -> 3
Sep 20 23:14:47 localhost kernel: printk: 3 messages suppressed.
Sep 20 23:14:47 localhost NetworkManager: <info>  (wlan0) Supplicant interface
state change: 3 -> 4
Sep 20 23:14:47 localhost NetworkManager: <info>  (wlan0) Supplicant interface
state change: 4 -> 7
Sep 20 23:14:47 localhost NetworkManager: <info>  Activation (wlan0/wireless)
Stage 2 of 5 (Device Configure) successful.  Connected to wireless network
'EamonsHouse'.
Sep 20 23:14:47 localhost NetworkManager: <info>  Activation (wlan0) Stage 3 of
5 (IP Configure Start) scheduled.
Sep 20 23:14:47 localhost NetworkManager: <info>  Old device 'wlan0' activating,
won't change.
Sep 20 23:14:47 localhost NetworkManager: <info>  Activation (wlan0) Stage 3 of
5 (IP Configure Start) started...
Sep 20 23:14:47 localhost NetworkManager: <info>  Activation (wlan0) Beginning
DHCP transaction.
Sep 20 23:14:47 localhost NetworkManager: <info>  dhclient started with pid 10858
Sep 20 23:14:47 localhost NetworkManager: <info>  Activation (wlan0) Stage 3 of
5 (IP Configure Start) complete.
Sep 20 23:14:47 localhost dhclient: Internet Systems Consortium DHCP Client
V3.0.6-Fedora
Sep 20 23:14:47 localhost dhclient: Copyright 2004-2007 Internet Systems Consortium.
Sep 20 23:14:47 localhost dhclient: All rights reserved.
Sep 20 23:14:47 localhost dhclient: For info, please visit
http://www.isc.org/sw/dhcp/
Sep 20 23:14:47 localhost dhclient: 
Sep 20 23:14:47 localhost dhclient: wmaster0: unknown hardware address type 801
Sep 20 23:14:47 localhost NetworkManager: <info>  DHCP: device wlan0 state
changed (null) -> preinit
Sep 20 23:14:47 localhost dhclient: wmaster0: unknown hardware address type 801
Sep 20 23:14:47 localhost dhclient: Listening on LPF/wlan0/00:13:e8:80:a4:cb
Sep 20 23:14:47 localhost dhclient: Sending on   LPF/wlan0/00:13:e8:80:a4:cb
Sep 20 23:14:47 localhost dhclient: Sending on   Socket/fallback
Sep 20 23:14:47 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255
port 67 interval 4
Sep 20 23:14:51 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255
port 67 interval 11
Sep 20 23:14:51 localhost NetworkManager: <info>  Old device 'wlan0' activating,
won't change.
Sep 20 23:15:02 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255
port 67 interval 16
Sep 20 23:15:02 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255
port 67 interval 16
Sep 20 23:15:09 localhost kernel: printk: 2 messages suppressed.
Sep 20 23:15:09 localhost kernel: printk: 2 messages suppressed.
Sep 20 23:15:18 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255
port 67 interval 12
Sep 20 23:15:19 localhost kernel: printk: 3 messages suppressed.
Sep 20 23:15:23 localhost kernel: printk: 1 messages suppressed.
Sep 20 23:15:29 localhost kernel: printk: 4 messages suppressed.
Sep 20 23:15:30 localhost dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255
port 67 interval 12
Sep 20 23:15:32 localhost NetworkManager: <info>  Device 'wlan0' DHCP
transaction took too long (>45s), stopping it.
Sep 20 23:15:32 localhost NetworkManager: <info>  wlan0: canceled DHCP
transaction, dhclient pid 10858
Sep 20 23:15:32 localhost NetworkManager: <info>  Activation (wlan0) Stage 4 of
5 (IP Configure Timeout) scheduled...
Sep 20 23:15:32 localhost NetworkManager: <info>  Activation (wlan0) Stage 4 of
5 (IP Configure Timeout) started...
Sep 20 23:15:32 localhost NetworkManager: <info>  Activation (wlan0) failed for
access point (EamonsHouse)
Sep 20 23:15:32 localhost NetworkManager: <info>  Activation (wlan0) failed.
Sep 20 23:15:32 localhost NetworkManager: <info>  Deactivating device wlan0.
Sep 20 23:15:32 localhost NetworkManager: <info>  Activation (wlan0) Stage 4 of
5 (IP Configure Timeout) complete.

At this point the applet was left in a frozen state where both little balls were
lit up, but I wasn't connected.

Interesting that it thought it connected to the access point successfully even
though there was no correct key in the ring for it to use.
Comment 1 Jesse Keating 2007-09-28 15:17:12 EDT
This seems to have been fixed, I no longer see this issue.

Note You need to log in before you can comment on or make changes to this bug.